Memcache::getServerStatus
Memcache::getVersion
Memcache
PHP Manual

# Memcache::getStats

(PECL memcache >= 0.2.0)

Memcache::getStats — Get statistics of the server

### Description

array Memcache::getStats ([ string `$type` [, int `$slabid` [, int `$limit` = 100 ]]] )

Memcache::getStats() returns an associative array with server's statistics. Array keys correspond to stats parameters and values to parameter's values. Also you can use memcache_get_stats() function.

### Parameters

`type`

  The type of statistics to fetch. Valid values are {reset, malloc, maps, cachedump, slabs, items, sizes}. According to the memcached protocol spec these additional arguments "are subject to change for the convenience of memcache developers".

`slabid`

  Used in conjunction with `type` set to cachedump to identify the slab to dump from. The cachedump command ties up the server and is strictly to be used for debugging purposes.

`limit`

  Used in conjunction with `type` set to cachedump to limit the number of entries to dump.

### Return Values

Returns an associative array of server statistics or `FALSE` on failure.

### See Also

- Memcache::getVersion() - Return version of the server
- Memcache::getExtendedStats() - Get statistics from all servers in pool

Memcache::getServerStatus
Memcache::getVersion
Memcache
PHP Manual